Subject: Re: [PATCH] vfio: Fix endianness handling for emulated BARs

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 25 Jun 2014 07:46:14 +1000

On Tue, 2014-06-24 at 12:41 +0200, Alexander Graf wrote:
> Is there actually any difference in generated code with this patch 
> applied and without? I would hope that iowrite..() is inlined and 
> cancels out the cpu_to_le..() calls that are also inlined?

No, the former uses byteswapping asm, the compiler can't "cancel" it
out, but the overhead of the additional byteswap might not be
measurable.

Cheers,
Ben.